test: _REQ_DESC struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _REQ_DESC Struct Reference

List of all members.

## Public Attributes

BOOLEAN | ArbitrationRequired
UCHAR | Reserved [3]
INTERFACE_TYPE | InterfaceType
ULONG | BusNumber
PREQ_ALTERNATIVE | ReqAlternative
ULONG | ReqDescIndex
ULONG | DevicePrivateCount
PIO_RESOURCE_DESCRIPTOR | DevicePrivate
PREQ_DESC | TranslatedReqDesc
union {
PPI_RESOURCE_ARBITER_ENTRY Arbiter
PPI_RESOURCE_TRANSLATOR_ENTRY Translator
} | u
ARBITER_LIST_ENTRY | AlternativeTable
CM_PARTIAL_RESOURCE_DESCRIPTOR | Allocation
ARBITER_LIST_ENTRY | BestAlternativeTable
CM_PARTIAL_RESOURCE_DESCRIPTOR | BestAllocation

## Member Data Documentation

CM_PARTIAL_RESOURCE_DESCRIPTOR _REQ_DESC::Allocation

| Definition at line 109 of file pnpres.c.

ARBITER_LIST_ENTRY _REQ_DESC::AlternativeTable

| Definition at line 108 of file pnpres.c.

PPI_RESOURCE_ARBITER_ENTRY _REQ_DESC::Arbiter

| Definition at line 105 of file pnpres.c.

BOOLEAN _REQ_DESC::ArbitrationRequired

| Definition at line 95 of file pnpres.c.

CM_PARTIAL_RESOURCE_DESCRIPTOR _REQ_DESC::BestAllocation

| Definition at line 116 of file pnpres.c.

ARBITER_LIST_ENTRY _REQ_DESC::BestAlternativeTable

| Definition at line 115 of file pnpres.c.

ULONG _REQ_DESC::BusNumber

| Definition at line 98 of file pnpres.c.

PIO_RESOURCE_DESCRIPTOR _REQ_DESC::DevicePrivate

| Definition at line 102 of file pnpres.c.

ULONG _REQ_DESC::DevicePrivateCount

| Definition at line 101 of file pnpres.c.

INTERFACE_TYPE _REQ_DESC::InterfaceType

| Definition at line 97 of file pnpres.c.

PREQ_ALTERNATIVE _REQ_DESC::ReqAlternative

| Definition at line 99 of file pnpres.c.

ULONG _REQ_DESC::ReqDescIndex

| Definition at line 100 of file pnpres.c.

UCHAR _REQ_DESC::Reserved[3]

| Definition at line 96 of file pnpres.c.

PREQ_DESC _REQ_DESC::TranslatedReqDesc

| Definition at line 103 of file pnpres.c. Referenced by IopAddReqDescsToArbiters(), and IopRemoveReqDescsFromArbiters().

PPI_RESOURCE_TRANSLATOR_ENTRY _REQ_DESC::Translator

| Definition at line 106 of file pnpres.c.

union { ... } _REQ_DESC::u

The documentation for this struct was generated from the following file:

- pnpres.c